• This bug is not in your last search results.
Product: kmail
Classification: Unclassified
Component: general
1.9.51
Compiled Sources Linux
NOR normal with 100 votes (vote)
---
kdepim bugs
Depends on:
Blocks:
Show dependency tree /graph
2008-06-07 08:03 UTC by Alexei Sergeyev
2009-01-29 17:41 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:
Description Alexei Sergeyev 2008-06-07 08:03:45 UTC
Version: 1.9.51 (using Devel) Installed from: Compiled sources OS: Linux Bug is the same as 156589, but I don't know how to reopen it, so I just open new. First time kdepim from kde4.1beta1 packages installed and kmail configured it ask for kwallet password twice: on start and on exit. After removing kmail* files from .kde/share/config directory problem is gone. I can send backup of removed files if needed. Thanks.
Comment 1 Alexei Sergeyev 2008-06-07 08:10:37 UTC
Created attachment 25178 [details] config files
Comment 2 FiNeX 2008-06-07 09:43:01 UTC
*** Bug 163412 has been marked as a duplicate of this bug. ***
Comment 3 Alexei Sergeyev 2008-06-07 10:12:07 UTC
I have new information about this bug. If I start kmail and don't press "get/send", i.e. kwallet doesn't ask for password, and then just close kmail, then it ask kwallet password on close. If I start kmail and press "get/send" and kwallet ask a password, but then I keep kmail open for a long time and probably kwallet close itself, and then I close kmail it ask kwallet second time. So if kwallet not open for kmail, then kmail will ask kwallet password on close.
Comment 4 Roman K. 2008-07-05 00:36:16 UTC
I recognized the same problem: always when I close kmail and kwallet is NOT open, kwallet asks for the password.
Comment 5 Thomas McGuire 2008-07-16 16:20:18 UTC
*** Bug 166700 has been marked as a duplicate of this bug. ***
Comment 6 Roman K. 2008-07-16 22:35:56 UTC
KDE 4.1 RC1 openSUSE packages (4.0.98) don't fix that problem.
Comment 7 Janet 2008-07-18 15:54:14 UTC
Problem still exists with KDE 4.0.99 and kmail 1.10.0: kmail requests opening kwallet when it gets closed when you haven't looked for new mail before closing. Sometimes I have to reopen/close kmail fifth times that way (test case - usually I don't do that ;) ) before kwallet finally shows an open wallet in the tray. Sometimes it shows a closed wallet after having received the password and the next time I give the password on kmail close the wallet symbol vanishes completely...
Comment 8 Peter Paulsen 2008-07-30 14:24:00 UTC
That's really weird. Since KDE 4.1.00 kmail/kontact won't even start again after you cancel the password request on leaving and tick "save password" in the following dialog. You have to relogin to be able to start kmail/kontact again. Starting kmail from console doesn't give any output.
Comment 9 Dale Ogilvie 2008-08-07 15:18:29 UTC
*** This bug has been confirmed by popular vote. ***
Comment 10 Dale Ogilvie 2008-08-07 15:21:01 UTC
I see the same behaviour in current ArchLinux. Just logging in, then logging out pops up a wallet password prompt. Possibly this is related to the PIM organizer in the tray.
Comment 11 George Kiagiadakis 2008-09-07 23:37:12 UTC
I can confirm this bug on KDE 4.1.1. I usually have kmail open with my session and never close it, but when I logout from kde, kmail pops up a dialog asking for the password and this is very annoying for two reasons: 1) It stops the session saving process, which kmail should not be allowed to do! 2) If I am in a hurry and press cancel instead of typing the password, the next time I login, kmail will ask again all my passwords (i.e. it doesn't even try to open kwallet and get the passwords that are stored, so it asks again for all of them)
Comment 12 Dexter Magnific 2008-10-28 16:37:36 UTC
Confirmed for KMail 4.1.2 on gentoo. How to reproduce the bug : 1. Open Kmail, Its asks for the wallet password 2. Close the wallet 3. Exit Kmail -> it asks for the wallet password on exit. If you press Cancel, then next time you start KMail it asks for every account password as if they were not already in the wallet. If you choose the remember password option, then its asks for the wallet password to store them again.
Comment 13 Malte S. Stretz 2008-11-09 11:55:27 UTC
Quite annoying. Might be a similar reason as bug 162859?
Comment 14 Malte S. Stretz 2008-11-09 13:39:34 UTC
Also related to bug 149999
Comment 15 Jaime Torres 2008-11-17 15:41:16 UTC
*** Bug 175397 has been marked as a duplicate of this bug. ***
Comment 16 Michael Leupold 2008-12-17 11:19:12 UTC
*** Bug 171482 has been marked as a duplicate of this bug. ***
Comment 17 Michael Leupold 2008-12-17 11:21:34 UTC
*** Bug 177973 has been marked as a duplicate of this bug. ***
Comment 18 Jaime Torres 2008-12-23 11:06:22 UTC
*** Bug 178504 has been marked as a duplicate of this bug. ***
Comment 19 Tobias G. Pfeiffer 2009-01-04 01:52:08 UTC
I can confirm this bug for Kmail 1.10.92 (KDE 4.2 Beta2).
Comment 20 Lukas Middendorf 2009-01-17 02:18:50 UTC
Also seeing this in 1.11.0 (KDE 4.1.96). This is one of the bugs that renders KDE4 unsuitable for general usage.
Comment 21 Bartosz Krzeszewski 2009-01-17 02:36:30 UTC
I agree in 100%
Comment 22 Thomas McGuire 2009-01-20 15:13:33 UTC
SVN commit 914151 by tmcguire: Don't ask for the wallet on exit if the password is not dirty. BUG: 163413 M +2 -2 networkaccount.cpp WebSVN link: http://websvn.kde.org/?view=rev&revision=914151
Comment 23 Jochen S. 2009-01-28 08:18:13 UTC
Hello, in 4.2.0 the problem still exists!
Comment 24 Thomas McGuire 2009-01-28 17:53:00 UTC
> in 4.2.0 the problem still exists! Yes, it still exists there, the fix will be released with 4.2.1.
Comment 25 Thomas McGuire 2009-01-29 17:41:39 UTC
SVN commit 918208 by tmcguire: Backport r914151 by tmcguire from trunk to the 4.2 branch: Don't ask for the wallet on exit if the password is not dirty. CCBUG: 163413 M +2 -2 networkaccount.cpp WebSVN link: http://websvn.kde.org/?view=rev&revision=918208

Attachments
config files (4.17 KB, application/octet-stream)
2008-06-07 08:10 UTC, Alexei Sergeyev
Details

Note You need to log in before you can comment on or make changes to this bug.

  • This bug is not in your last search results.